<!DOCTYPE html>
<html lang="es">

<head>
   <script src="Disco.js"></script>
   <script src="Discografia.js"></script>
   <script src="Interprete.js"></script>
   <script src="index.js"></script>
   <style>
      img {
         width: 100px;
      }
      body{
         
         background-color: rgb(26, 33, 97);
         color: white;
      }
   </style>
</head>

<body>
   <h1>DISCOS</h1>
   <div id="test"></div>
   <form action="" method="get">
      <label for="name">Nombre del Disco:</label>
      <input type="text" id="name" name="user_name">
   </form>
   <input type="button" onclick="" value="Borrar">
   <input type="button" onclick="crearDisco()" value="Añadir">

   <script>
      fetch('Discos.json')
         .then(function (response) {
            return response.json();
         })
         .then(function (dataJson) {
            console.log(dataJson);
            let text = "<table border='1'>"
            for (const disco of dataJson.discos) {
               text += "<tr><td>" + disco.nombre + "</td><td>" +  disco.interprete.nombreArtistico +"</td><td>" +  disco.añoPublicacion + "</td><td>" +  disco.tipoMusica + "</td><td><img src="  +disco.PortadaDisco + "></td></tr>";
            }
            text += "</table>"
            document.getElementById("test").innerHTML = text;
            return dataJson;
         })
         .catch(function (error) { console.log("Algo ha salido mal: " + error) })
   </script>
</body>

</html>